Subject: Re: bug#36380: service urandom-seed takes too long on boot

From: Alex Sassmannshausen <[email-masked]>
Date: Wed, 26 Jun 2019 10:41:47 +0100

Hi Robert,

Robert Vollmert <[email-masked]> writes:

> On my VPS, booting takes forever (long enough that for a long
> time I thought the install had failed). I just rebooted again,
> and it took over 7 minutes, see attached screenshot.
>
> I would suggest skipping the seeding from /dev/hwrng by default
> if /var/lib/random-seed is available. I’m assuming here that my
> problem is not too rare — if it is, an option to disable the
> seeding from /dev/hwrng seems like a good idea.

I'm not sure I'm qualified on best practices with regard to urandom, but
anecdotally, my servers are booting pretty fast, within a minute,
consistently.  This is even when booting a qemu virtual image rather
than a VPS.

Perhaps something else is going on here?

Alex